> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Requête sur les résultats d’évaluation

> Lire les lignes de résultats d’évaluation groupées pour une ou plusieurs évaluations.



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/eval_results/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/eval_results/query:
    post:
      tags:
        - Eval Results
      summary: Requête sur les résultats d’évaluation
      description: >-
        Lire les lignes de résultats d’évaluation groupées pour une ou plusieurs
        évaluations.
      operationId: eval_results_query_v2__entity___project__eval_results_query_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvalResultsQueryBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalResultsQueryRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    EvalResultsQueryBody:
      additionalProperties: false
      properties:
        evaluation_call_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: ID des appels racine d'évaluation à inclure.
          title: Evaluation Call Ids
        evaluation_run_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Alias des ID d'appel d'évaluation provenant de l'API Evaluation
            Runs.
          title: Evaluation Run Ids
        filters:
          anyOf:
            - items:
                $ref: '#/components/schemas/EvalResultsFilter'
              type: array
            - type: 'null'
          description: >-
            Filtres appliqués aux lignes groupées. Plusieurs filtres sont
            combinés avec AND.
          title: Filters
        include_predict_and_score_children:
          default: true
          description: >-
            Lorsque true (par défaut), récupère les appels enfants
            (predict/score) de chaque appel predict_and_score pour renseigner
            predict_call_id, scorer_call_ids et des données de latence/jeton
            plus précises. Lorsque false, ces champs sont dérivés de l’appel
            predict_and_score lui-même (predict_call_id et scorer_call_ids
            seront null/vides).
          title: Include Predict And Score Children
          type: boolean
        include_raw_data_rows:
          default: false
          description: >-
            Lorsque cette valeur est true, renseignez raw_data_row sur chaque
            ligne de résultat. Les lignes inline sont renvoyées sous la forme de
            leur valeur dict ; les lignes référencées par un jeu de données sont
            renvoyées sous forme de chaîne de référence, sauf si
            resolve_row_refs est également true.
          title: Include Raw Data Rows
          type: boolean
        include_rows:
          default: true
          description: >-
            Lorsque cette valeur est true, incluez les données groupées de
            ligne/essai dans `rows` et calculez `total_rows` pour la vue
            demandée au niveau ligne.
          title: Include Rows
          type: boolean
        include_summary:
          default: false
          description: >-
            Lorsque cette valeur est true, incluez dans `summary` les données de
            synthèse agrégées du scorer et de l'évaluation.
          title: Include Summary
          type: boolean
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Taille de page facultative au niveau ligne, appliquée après le
            regroupement et l'intersection.
          title: Limit
        offset:
          default: 0
          description: >-
            Décalage de page facultatif au niveau ligne, appliqué après le
            regroupement et l'intersection.
          title: Offset
          type: integer
        require_intersection:
          default: false
          description: >-
            Lorsque cette valeur est true, incluez uniquement les lignes
            présentes dans toutes les évaluations demandées.
          title: Require Intersection
          type: boolean
        resolve_row_refs:
          default: false
          description: >-
            Lorsque cette valeur est true (nécessite
            include_raw_data_rows=True), résolvez les chaînes de référence des
            lignes du jeu de données en données de ligne réelles via une
            recherche dans un tableau. Lorsque cette valeur est false, les
            références de ligne du jeu de données sont renvoyées telles quelles.
          title: Resolve Row Refs
          type: boolean
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/EvalResultsSortBy'
              type: array
            - type: 'null'
          description: "Spécification de tri des lignes de résultat. Préfixes de champ pris en charge\_: scores.<name>, inputs.<path>, outputs.<path>. Lorsqu’elle est null, les lignes sont triées par row_digest ASC."
          title: Sort By
        summary_require_intersection:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Comportement d'intersection facultatif pour la section de synthèse.
            Lorsqu'elle vaut null, la valeur de `require_intersection` est
            utilisée.
          title: Summary Require Intersection
      title: EvalResultsQueryBody
      type: object
    EvalResultsQueryRes:
      properties:
        rows:
          items:
            $ref: '#/components/schemas/EvalResultsRow'
          title: Rows
          type: array
        summary:
          anyOf:
            - $ref: '#/components/schemas/EvalResultsSummaryRes'
            - type: 'null'
        total_rows:
          title: Total Rows
          type: integer
        warnings:
          description: >-
            Avertissements non fatals (par ex. échec de la résolution des
            références de ligne du jeu de données).
          items:
            type: string
          title: Warnings
          type: array
      required:
        - rows
        - total_rows
      title: EvalResultsQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EvalResultsFilter:
      additionalProperties: false
      description: Un filtre limité à une évaluation facultative.
      properties:
        evaluation_call_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Lorsqu’il est défini, les champs du filtre sont limités aux données
            de cette évaluation.
          title: Evaluation Call Id
        query:
          $ref: '#/components/schemas/Query'
          description: "Expression de filtre. Préfixes de champ pris en charge\_: scores.<name>, inputs.<path>, outputs.<path>."
      required:
        - query
      title: EvalResultsFilter
      type: object
    EvalResultsSortBy:
      additionalProperties: false
      description: Spécification de tri pour les résultats d’évaluation, étendant SortBy
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        evaluation_call_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Applique le tri aux scores d’une évaluation spécifique.
          title: Evaluation Call Id
        field:
          title: Field
          type: string
        mode:
          default: value
          description: >-
            Lorsque la valeur est 'value', trie selon la valeur du champ pour
            l’évaluation spécifiée. Lorsque la valeur est 'difference', trie
            selon l’étendue max-min du champ sur l’ensemble des évaluations
            (evaluation_call_id est ignoré).
          enum:
            - value
            - difference
          title: Mode
          type: string
      required:
        - field
        - direction
      title: EvalResultsSortBy
      type: object
    EvalResultsRow:
      properties:
        evaluations:
          items:
            $ref: '#/components/schemas/EvalResultsRowEvaluation'
          title: Evaluations
          type: array
        raw_data_row:
          anyOf:
            - {}
            - type: 'null'
          title: Raw Data Row
        row_digest:
          title: Row Digest
          type: string
      required:
        - row_digest
      title: EvalResultsRow
      type: object
    EvalResultsSummaryRes:
      properties:
        evaluations:
          items:
            $ref: '#/components/schemas/EvalResultsEvaluationSummary'
          title: Evaluations
          type: array
        row_count:
          default: 0
          title: Row Count
          type: integer
      title: EvalResultsSummaryRes
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    Query:
      additionalProperties: false
      properties:
        $expr:
          anyOf:
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: $Expr
      required:
        - $expr
      title: Query
      type: object
    EvalResultsRowEvaluation:
      properties:
        evaluation_call_id:
          title: Evaluation Call Id
          type: string
        trials:
          items:
            $ref: '#/components/schemas/EvalResultsTrial'
          title: Trials
          type: array
      required:
        - evaluation_call_id
      title: EvalResultsRowEvaluation
      type: object
    EvalResultsEvaluationSummary:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        evaluation_call_id:
          title: Evaluation Call Id
          type: string
        evaluation_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation Ref
        model_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Ref
        scorer_stats:
          items:
            $ref: '#/components/schemas/EvalResultsScorerStats'
          title: Scorer Stats
          type: array
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Id
        trial_count:
          default: 0
          title: Trial Count
          type: integer
      required:
        - evaluation_call_id
      title: EvalResultsEvaluationSummary
      type: object
    AndOperation:
      description: |-
        ET logique. Toutes les conditions doivent être évaluées à true.

        Exemple :
            ```
            {
                "$and": [
                    {"$eq": [{"$getField": "op_name"}, {"$literal": "predict"}]},
                    {"$gt": [{"$getField": "summary.usage.tokens"}, {"$literal": 1000}]}
                ]
            }
            ```
      properties:
        $and:
          items:
            anyOf:
              - $ref: '#/components/schemas/LiteralOperation'
              - $ref: '#/components/schemas/GetFieldOperator'
              - $ref: '#/components/schemas/ConvertOperation'
              - $ref: '#/components/schemas/AndOperation'
              - $ref: '#/components/schemas/OrOperation'
              - $ref: '#/components/schemas/NotOperation'
              - $ref: '#/components/schemas/EqOperation'
              - $ref: '#/components/schemas/GtOperation'
              - $ref: '#/components/schemas/LtOperation'
              - $ref: '#/components/schemas/GteOperation'
              - $ref: '#/components/schemas/LteOperation'
              - $ref: '#/components/schemas/InOperation'
              - $ref: '#/components/schemas/ContainsOperation'
          title: $And
          type: array
      required:
        - $and
      title: AndOperation
      type: object
    OrOperation:
      description: "OU logique. Au moins une condition doit être vraie.\n\nExemple\_:\n    ```\n    {\n        \"$or\": [\n            {\"$eq\": [{\"$getField\": \"op_name\"}, {\"$literal\": \"a\"}]},\n            {\"$eq\": [{\"$getField\": \"op_name\"}, {\"$literal\": \"b\"}]}\n        ]\n    }\n    ```"
      properties:
        $or:
          items:
            anyOf:
              - $ref: '#/components/schemas/LiteralOperation'
              - $ref: '#/components/schemas/GetFieldOperator'
              - $ref: '#/components/schemas/ConvertOperation'
              - $ref: '#/components/schemas/AndOperation'
              - $ref: '#/components/schemas/OrOperation'
              - $ref: '#/components/schemas/NotOperation'
              - $ref: '#/components/schemas/EqOperation'
              - $ref: '#/components/schemas/GtOperation'
              - $ref: '#/components/schemas/LtOperation'
              - $ref: '#/components/schemas/GteOperation'
              - $ref: '#/components/schemas/LteOperation'
              - $ref: '#/components/schemas/InOperation'
              - $ref: '#/components/schemas/ContainsOperation'
          title: $Or
          type: array
      required:
        - $or
      title: OrOperation
      type: object
    NotOperation:
      description: "NON logique. Inverse la condition.\n\nExemple\_:\n    ```\n    {\n        \"$not\": [\n            {\"$eq\": [{\"$getField\": \"op_name\"}, {\"$literal\": \"debug\"}]}\n        ]\n    }\n    ```"
      properties:
        $not:
          maxItems: 1
          minItems: 1
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Not
          type: array
      required:
        - $not
      title: NotOperation
      type: object
    EqOperation:
      description: "Vérifie l'égalité entre deux opérandes.\n\nExemple\_:\n    ```\n    {\n        \"$eq\": [{\"$getField\": \"op_name\"}, {\"$literal\": \"predict\"}]\n    }\n    ```"
      properties:
        $eq:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Eq
          type: array
      required:
        - $eq
      title: EqOperation
      type: object
    GtOperation:
      description: "Comparaison «\_supérieur à\_».\n\nExemple\_:\n    ```\n    {\n        \"$gt\": [{\"$getField\": \"summary.usage.tokens\"}, {\"$literal\": 100}]\n    }\n    ```"
      properties:
        $gt:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Gt
          type: array
      required:
        - $gt
      title: GtOperation
      type: object
    LtOperation:
      description: "Comparaison «\_inférieur à\_».\n\nExemple\_:\n    ```\n    {\n        \"$lt\": [{\"$getField\": \"summary.usage.tokens\"}, {\"$literal\": 100}]\n    }\n    ```"
      properties:
        $lt:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Lt
          type: array
      required:
        - $lt
      title: LtOperation
      type: object
    GteOperation:
      description: "Comparaison «\_supérieur ou égal à\_».\n\nExemple\_:\n    ```\n    {\n        \"$gte\": [{\"$getField\": \"summary.usage.tokens\"}, {\"$literal\": 100}]\n    }\n    ```"
      properties:
        $gte:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Gte
          type: array
      required:
        - $gte
      title: GteOperation
      type: object
    LteOperation:
      description: "Comparaison inférieure ou égale.\n\nExemple\_:\n    ```\n    {\n        \"$lte\": [{\"$getField\": \"summary.usage.tokens\"}, {\"$literal\": 100}]\n    }\n    ```"
      properties:
        $lte:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Lte
          type: array
      required:
        - $lte
      title: LteOperation
      type: object
    InOperation:
      description: "Vérification d'appartenance.\n\nRenvoie true si l'opérande de gauche figure dans la liste fournie comme second opérande.\n\nExemple\_:\n    ```\n    {\n        \"$in\": [\n            {\"$getField\": \"op_name\"},\n            [{\"$literal\": \"predict\"}, {\"$literal\": \"generate\"}]\n        ]\n    }\n    ```"
      properties:
        $in:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - items:
                anyOf:
                  - $ref: '#/components/schemas/LiteralOperation'
                  - $ref: '#/components/schemas/GetFieldOperator'
                  - $ref: '#/components/schemas/ConvertOperation'
                  - $ref: '#/components/schemas/AndOperation'
                  - $ref: '#/components/schemas/OrOperation'
                  - $ref: '#/components/schemas/NotOperation'
                  - $ref: '#/components/schemas/EqOperation'
                  - $ref: '#/components/schemas/GtOperation'
                  - $ref: '#/components/schemas/LtOperation'
                  - $ref: '#/components/schemas/GteOperation'
                  - $ref: '#/components/schemas/LteOperation'
                  - $ref: '#/components/schemas/InOperation'
                  - $ref: '#/components/schemas/ContainsOperation'
              type: array
          title: $In
          type: array
      required:
        - $in
      title: InOperation
      type: object
    ContainsOperation:
      description: "Correspondance de sous-chaîne insensible à la casse.\n\nNe fait pas partie de MongoDB. Ajout spécifique à Weave.\n\nExemple\_:\n    ```\n    {\n        \"$contains\": {\n            \"input\": {\"$getField\": \"display_name\"},\n            \"substr\": {\"$literal\": \"llm\"},\n            \"case_insensitive\": true\n        }\n    }\n    ```"
      properties:
        $contains:
          $ref: '#/components/schemas/ContainsSpec'
      required:
        - $contains
      title: ContainsOperation
      type: object
    EvalResultsTrial:
      properties:
        genai_span_ref:
          anyOf:
            - items:
                $ref: '#/components/schemas/GenAISpanRef'
              type: array
            - type: 'null'
          title: Genai Span Ref
        model_latency_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Model Latency Seconds
        model_output:
          anyOf:
            - {}
            - type: 'null'
          title: Model Output
        predict_and_score_call_id:
          title: Predict And Score Call Id
          type: string
        predict_call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Predict Call Id
        scorer_call_ids:
          additionalProperties:
            type: string
          title: Scorer Call Ids
          type: object
        scores:
          additionalProperties: true
          title: Scores
          type: object
        total_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Tokens
      required:
        - predict_and_score_call_id
      title: EvalResultsTrial
      type: object
    EvalResultsScorerStats:
      description: >-
        Statistiques pour une seule dimension de score aplatie (scorer_key ou
        scorer_key.path.to.leaf).
      properties:
        numeric_count:
          default: 0
          title: Numeric Count
          type: integer
        numeric_mean:
          anyOf:
            - type: number
            - type: 'null'
          title: Numeric Mean
        pass_known_count:
          default: 0
          title: Pass Known Count
          type: integer
        pass_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Pass Rate
        pass_signal_coverage:
          anyOf:
            - type: number
            - type: 'null'
          title: Pass Signal Coverage
        pass_true_count:
          default: 0
          title: Pass True Count
          type: integer
        path:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Sous-chemin joint par des points pour les dimensions imbriquées, par
            ex. « passed » pour token_distance.passed. None pour les scorers
            scalaires au niveau racine.
          title: Path
        scorer_key:
          title: Scorer Key
          type: string
        trial_count:
          default: 0
          title: Trial Count
          type: integer
        value_type:
          anyOf:
            - enum:
                - binary
                - continuous
                - text
              type: string
            - type: 'null'
          description: >-
            Type de la valeur feuille : binaire (bool), continu (number) ou
            texte (string).
          title: Value Type
      required:
        - scorer_key
      title: EvalResultsScorerStats
      type: object
    LiteralOperation:
      description: "Représente une valeur constante dans le langage de requête.\n\nIl peut s'agir de n'importe quelle valeur standard sérialisable en JSON.\n\nExemple\_:\n    ```\n    {\"$literal\": \"predict\"}\n    ```"
      properties:
        $literal:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
            - additionalProperties:
                $ref: '#/components/schemas/LiteralOperation'
              type: object
            - items:
                $ref: '#/components/schemas/LiteralOperation'
              type: array
            - type: 'null'
          title: $Literal
      required:
        - $literal
      title: LiteralOperation
      type: object
    GetFieldOperator:
      description: "Accède à un champ de l'appel tracé.\n\nPrend en charge la notation par points pour l'accès aux champs imbriqués, par ex. `summary.usage.tokens`.\n\nFonctionne uniquement avec les champs présents dans `CallSchema`, notamment\_:\n- Les champs de premier niveau comme `op_name`, `trace_id`, `started_at`\n- Les champs imbriqués comme `inputs.input_name`, `summary.usage.tokens`, etc.\n\nExemple\_:\n    ```\n    {\"$getField\": \"op_name\"}\n    ```"
      properties:
        $getField:
          title: $Getfield
          type: string
      required:
        - $getField
      title: GetFieldOperator
      type: object
    ConvertOperation:
      description: "Convertit la valeur d'entrée dans un type spécifique (par ex. `int`, `bool`, `string`).\n\nExemple\_:\n    ```\n    {\n        \"$convert\": {\n            \"input\": {\"$getField\": \"inputs.value\"},\n            \"to\": \"int\"\n        }\n    }\n    ```"
      properties:
        $convert:
          $ref: '#/components/schemas/ConvertSpec'
      required:
        - $convert
      title: ConvertOperation
      type: object
    ContainsSpec:
      description: "Spécification de l’opération `$contains`.\n\n- `input`\_: la chaîne à rechercher.\n- `substr`\_: la sous-chaîne à rechercher.\n- `case_insensitive`\_: si la valeur est true, la correspondance est insensible à la casse."
      properties:
        case_insensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Case Insensitive
        input:
          anyOf:
            - $ref: '#/components/schemas/LiteralOperation'
            - $ref: '#/components/schemas/GetFieldOperator'
            - $ref: '#/components/schemas/ConvertOperation'
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: Input
        substr:
          anyOf:
            - $ref: '#/components/schemas/LiteralOperation'
            - $ref: '#/components/schemas/GetFieldOperator'
            - $ref: '#/components/schemas/ConvertOperation'
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: Substr
      required:
        - input
        - substr
      title: ContainsSpec
      type: object
    GenAISpanRef:
      properties:
        span_id:
          title: Span Id
          type: string
        trace_id:
          title: Trace Id
          type: string
      required:
        - trace_id
        - span_id
      title: GenAISpanRef
      type: object
    ConvertSpec:
      description: "Spécifie les détails de conversion pour `$convert`.\n\n- `input`\_: l'opérande à convertir.\n- `to`\_: le type de destination."
      properties:
        input:
          anyOf:
            - $ref: '#/components/schemas/LiteralOperation'
            - $ref: '#/components/schemas/GetFieldOperator'
            - $ref: '#/components/schemas/ConvertOperation'
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: Input
        to:
          enum:
            - double
            - string
            - int
            - bool
            - exists
          title: To
          type: string
      required:
        - input
        - to
      title: ConvertSpec
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````